<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use DB;
use URL;
use Auth;
use Uuid;
use Alert;
use Crypt;

use App\Models\JadwalKegiatan;

class JadwalKegiatanController extends Controller
{
    public function index()
    {
        $data['jadwal_kegiatan'] = JadwalKegiatan::where('status_hapus', '0')->get();

        return view('backend.jadwal_kegiatan.index', compact('data'))->withTitle('Jadwal Kegiatan');
    }

    /* AJAX request */
    public function getData(Request $request){

    }

    public function create()
    {

    }

    public function store(Request $request)
    {

    }

    public function edit($id)
    {
        $jenis = Jenis::where('jenis_id', '=', Crypt::decrypt($id))->get();
        $penilaian_monev = PenilaianMonev::where('jenis_id', '=', Crypt::decrypt($id))->get();

        $data = [
            'jenis' => $jenis,
            'penilaian_monev' => $penilaian_monev
        ];

        return view('backend.penilaian_monev.edit', compact('data'))->withTitle('Ubah Jenis PKM');
    }

    public function update(Request $request, $id)
    {
        $delete = PenilaianMonev::where('jenis_id', $id)->delete($id);

        for($i=0; $i<count($request->nama); $i++)
        {
            $uuid = Uuid::generate();
            $data['penilaian_monev_id'] = $uuid;
            $data['jenis_id'] = $id;
            $data['nama'] = $request->nama[$i];
            $data['bobot'] = $request->bobot[$i];

            PenilaianMonev::create($data);
        }

        Alert::success('Data berhasil disimpan.')->persistent('Ok');

        return redirect()->route('penilaian_monev.index');

    }

    public function destroy($id)
    {
        try {
            $delete = Jenis::where('jenis_id', Crypt::decrypt($id))->update(['status_hapus'=>'1']);

            if ($delete == 1) {
                $status = 'success';
                $message = "Jenis PKM berhasil dihapus.";
            }
            else{
                $status = 'error';
                $message = "Jenis PKM tidak ada.";
            }

            return response()->json([
                'status' => $status,
                'message' => $message,
            ]);

        } catch (\Exception $id) {
            return response()->json([
                'status' => 'error',
                'message' => "Data gagal dihapus.",
            ]);
        }
    }
}
